zui的theme.less编译不了 总是报错 求解
2015-12-26 16:13:20
杨凯
  • 访问次数: 2
  • 注册日期: 2015-12-26
  • 最后登录: 2015-12-26

自动编译(/src/less/theme.less)失败:

no viable alternative at input '.' in ruleset (which started at 541:1)

extraneous input '!important' expecting ';' in variable declaration (which started at 545:5)

extraneous input '!important' expecting ';' in variable declaration (which started at 557:5)

missing EOF at '}' in stylesheet (which started at 5:1)

杨凯 最后编辑, 2015-12-26 16:14:12
沙发
2015-12-31 13:51:02
sunhao
  • 访问次数: 275
  • 注册日期: 2015-04-20
  • 最后登录: 2020-07-30
是什么工具编译的?
板凳
2016-01-11 13:49:46
杨凯
  • 访问次数: 2
  • 注册日期: 2015-12-26
  • 最后登录: 2015-12-26

用sublime的插件,hbulider的插件,nodejs的lessc都编译不了   而且报的错都不一样

#3
2016-01-12 14:30:49
sunhao
  • 访问次数: 275
  • 注册日期: 2015-04-20
  • 最后登录: 2020-07-30

因为ZUI的主题需要导入其他文件,所以单独的theme文件是无法直接编译的。

一般推荐使用grunt来编译,grunt build:theme 命令会自动处理依赖关系。

如果你需要自己单独编译,可以在zui目录新建一个文件写入以下内容来编译:

@import ".src/less/basic/colorset.less";
@import "src/less/basic/variables.less";
@import "src/less/basic/mixins.less";
@import "src/less/theme.less";
#4
2016-01-12 17:55:54
杨凯
  • 访问次数: 2
  • 注册日期: 2015-12-26
  • 最后登录: 2015-12-26

原来是容grunt编译的啊   这回明白了


1/1